%define upstream_name    Spreadsheet-XLSX
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Utility function for Spreadsheet::XLSX
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Spreadsheet/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip) >= 1.180.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Spreadsheet::ParseExcel)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Warnings)
BuildArch:  noarch

%description
This module is a (quick and dirty) emulation of Spreadsheet::ParseExcel for
Excel 2007 (.xlsx) file format. It supports styles and many of Excel's
quirks, but not all. It populates the classes from Spreadsheet::ParseExcel
for interoperability; including Workbook, Worksheet, and Cell.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.170.0-2.mga9
+ Revision: 1815126
- Mageia 9 Mass Rebuild

* Thu Nov 04 2021 tv <tv> 0.170.0-1.mga9
+ Revision: 1753892
- update to 0.17

* Thu Oct 28 2021 tv <tv> 0.160.0-1.mga9
+ Revision: 1753023
- update to 0.16

* Mon Jul 05 2021 tv <tv> 0.150.0-1.mga9
+ Revision: 1734817
- imported package perl-Spreadsheet-XLSX


* Mon Jul 05 2021 Thierry Vignaud <tv@mageia.org> 0.150.0-1.mga9
- Initial import from CPAN
